Support » Plugin: FancyBox for WordPress » fancyboxforwp is not a function

  • Resolved nikkins82

    (@nikkins82)


    Hello, I’m not having issues with the plugin on the frontend as far as I can tell, though I’ve had numerous warnings in the dev console in the past.

    How can I resolve the Uncaught TypeError below?
    And is this plugin no longer maintained, will we see any updates in the future?

    Error Message:

    (index):97 Uncaught TypeError: jQuery(...).fancyboxforwp is not a function
        at HTMLDocument.<anonymous> ((index):97)
        at i (jquery.js?ver=1.12.4-wp:2)
        at Object.fireWith [as resolveWith] (jquery.js?ver=1.12.4-wp:2)
        at Function.ready (jquery.js?ver=1.12.4-wp:2)
        at HTMLDocument.J (jquery.js?ver=1.12.4-wp:2)

    Referencing this line of code:
    https://github.com/ColorlibHQ/fancybox-for-wordpress/blob/master/fancybox.php#L397

    Thanks!

Viewing 2 replies - 1 through 2 (of 2 total)
  • visi19

    (@visi19)

    Hello @nikkins82 ,

    Thanks you for reaching us !

    Your problem comes from the new version of wordpress more precisely 5.5
    To fix your problem you need a plugin that needs to be Installed and Activated, more precisely: https://wordpress.org/plugins/enable-jquery-migrate-helper/
    Thanks for your time !

    Let me know if it’s work !

    All the best,
    Marian

    Plugin Support mplusb

    (@mplusb)

    Marking this support thread as resolved due to inactivity. If you have any other questions or need further help please open a new thread.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘fancyboxforwp is not a function’ is closed to new replies.